EvaluatePlane

Evaluates a plane at a U,V parameter.

Syntax

Rhino.EvaluatePlane (arrPlane, arrParameter)

Parameters

arrPlane

Required.  Array.  The plane.  The elements of a plane array are as follows:

Element

Description

0

Required.  The plane's origin (3-D point).

1

Required.  The plane's X axis direction (3-D vector).

2

Required.  The plane's Y axis direction (3-D vector).

3

Optional.  The plane's Z axis direction (3-D vector).

arrParameter

Required.  Array.  An array containing the U,V parameter to evaluate.

Returns

Array

The 3-D point if successful.

Null

If not successful, or on error.

Example

Dim strView, arrPlane, arrPoint

strView = Rhino.CurrentView

arrPlane = Rhino.ViewCPlane(strView)

arrPoint = Rhino.EvaluatePlane(arrPlane, Array(5,5))

Rhino.AddPoint arrPoint

Also See

PlaneClosestPoint